/* USER CODE BEGIN 1 */
/*
 * HAL_I2C_TMP75.h
 *
 *  Created on: 10. 3. 2018
 *      Author: Dušan Benda
 */

#ifndef HAL_I2C_TMP75_H_
#define HAL_I2C_TMP75_H_

#include "stm32f3xx_hal.h"

#include "HAL_layer_LED.h"
#include "HAL_layer_io.h"
#include "HAL_layer_protection.h"

uint8_t HAL_return_temperature_TMP75(uint8_t channel);
uint8_t HAL_return_configuration_TMP75(uint8_t channel);
void HAL_set_configuration_TMP75(uint8_t channel);
void HAL_set_high_temperature_TMP75(uint8_t channel, uint8_t temperature);
void HAL_set_low_temperature_TMP75(uint8_t channel, uint8_t temperature);
uint8_t HAL_return_high_temperature_TMP75(uint8_t channel);
uint8_t HAL_return_low_temperature_TMP75(uint8_t channel);


#endif /* HAL_I2C_TMP75_H_ */

/* USER CODE END 1 */
